Results 1 to 3 of 3

Thread: Compiling Flock

  1. #1
    Join Date
    Dec 2005
    Location
    Canada!
    Beans
    43
    Distro
    Kubuntu 6.06

    Compiling Flock

    I've been trying to compile flock for a while now, and always receive an error when it comes to building Mozilla. I have checked the mozilla build pre-req page, but it wasn't clear. I did what I could though. I downloaded their libIDL, and aliened it, I made sure I had all that gcc, pkgconfig, fontconfig, etc, and I get an error because (of what I believe is) the gtk files. Now, I am on Kubuntu, so I have to download all gtk dev files, which I don't know much about. I've tried this so far:
    Code:
    sudo apt-get install libgtk2.0-dev libgtk1.2-dev
    -------------------
    sudo apt-get build-dep mozilla-browser
    -------------------
    sudo apt-get build-dep firefox
    And none of them eased the error. I only thought of using the apt-get build-dep because I figured if I was building from source, it might be smart to get the build dependancies...

    error I receive: http://kubuntu.pastebin.com/532048
    Last edited by [Nirvana]; January 31st, 2006 at 06:26 PM.

  2. #2
    Join Date
    Dec 2005
    Location
    Canada!
    Beans
    43
    Distro
    Kubuntu 6.06

    Re: Compiling Flock

    **bump**

    Anyone know anything?

  3. #3
    Join Date
    Feb 2006
    Beans
    6

    Re: Compiling Flock

    Has anyone been able to do this? or is there a binary package for ppc anywhere? i really dig flock, but i couldn't get it to compile either. it also took up a ton of disk space ot try to get it to build, so i removed it because i needed the space.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •